
import express from "express"
//import morgan from "morgan"
import { calidadController } from './controller.js';



const router = express.Router();

const apiCalidad = (app) => {
    
    router.get("/:id", calidadController.getCalidadById);
    router.get("/", calidadController.getCalidad);
    router.post("/", calidadController.postCalidad);
    router.delete("/:id", calidadController.deleteCalidad);
    router.put("/:id", calidadController.putCalidad);

    app.use("/api/calidad", router);
};


export { apiCalidad };