
import express from "express"
//import morgan from "morgan"
import { unidadMedidaController } from './controller.js';



const router = express.Router();

const apiUnidadMedida = (app) => {
    
    router.get("/:id", unidadMedidaController.getUnidadMedidaById);
    router.get("/", unidadMedidaController.getUnidadMedida);
    router.post("/", unidadMedidaController.postUnidadMedida);
    router.delete("/:id", unidadMedidaController.deleteUnidadMedida);
    router.put("/:id", unidadMedidaController.putUnidadMedida);

    app.use("/api/unidadMedida", router);
};


export { apiUnidadMedida };