-- phpMyAdmin SQL Dump
-- version 5.1.1
-- https://www.phpmyadmin.net/
--
-- Servidor: 127.0.0.1
-- Tiempo de generación: 22-10-2022 a las 17:50:11
-- Versión del servidor: 10.4.21-MariaDB
-- Versión de PHP: 7.3.31

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
START TRANSACTION;
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;

--
-- Base de datos: `textil`
--

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `ancho`
--

CREATE TABLE `ancho` (
  `id` int(10) UNSIGNED NOT NULL,
  `ancho` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Volcado de datos para la tabla `ancho`
--

INSERT INTO `ancho` (`id`, `ancho`, `created_at`, `updated_at`) VALUES
(1, '60\'\'', NULL, NULL),
(2, '40\'\'', NULL, NULL),
(3, '90\'\'', NULL, NULL);

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `calidad`
--

CREATE TABLE `calidad` (
  `id` int(10) UNSIGNED NOT NULL,
  `codigo` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `description` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Volcado de datos para la tabla `calidad`
--

INSERT INTO `calidad` (`id`, `codigo`, `description`, `created_at`, `updated_at`) VALUES
(1, 'Q1', 'Primera Calidad', NULL, NULL),
(2, 'Q2', 'Tela Sucia', NULL, NULL),
(3, 'Q3', 'Tela con Agujero', NULL, '2021-10-25 07:57:15'),
(4, 'Q4', 'Tela Mojada', NULL, '2021-10-25 07:57:28');

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `roll`
--

CREATE TABLE `roll` (
  `id` int(10) UNSIGNED NOT NULL,
  `roll` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Volcado de datos para la tabla `roll`
--

INSERT INTO `roll` (`id`, `roll`, `created_at`, `updated_at`) VALUES
(1, 'Administrador', NULL, NULL),
(2, 'Usuario', NULL, NULL);

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `sucursal`
--

CREATE TABLE `sucursal` (
  `id` int(10) UNSIGNED NOT NULL,
  `nombre` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `direccion` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Volcado de datos para la tabla `sucursal`
--

INSERT INTO `sucursal` (`id`, `nombre`, `direccion`, `created_at`, `updated_at`) VALUES
(1, 'Central', 'Primera calle poniente, Barrio el centro, San Salvador, El Salvador', NULL, NULL),
(2, 'Santa Ana', 'Tercera Avenida Sur, Barrio San Anita, Santa Ana El Salvador', NULL, '2021-11-23 07:45:52'),
(3, 'Usulutan', 'Barrio C1, Jiquilisco, Usulutan', NULL, '2021-11-23 07:46:10');

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `tela`
--

CREATE TABLE `tela` (
  `id` int(10) UNSIGNED NOT NULL,
  `item` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `cantidad` int(11) DEFAULT NULL,
  `descripcion` text COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `ancho_id` int(10) UNSIGNED DEFAULT NULL,
  `umedida_id` int(10) UNSIGNED DEFAULT NULL,
  `sucursal_id` int(10) UNSIGNED DEFAULT NULL,
  `calidad_id` int(10) UNSIGNED DEFAULT NULL,
  `user_id` int(10) UNSIGNED DEFAULT NULL,
  `costo_unitario` int(11) NOT NULL,
  `status` int(11) NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Volcado de datos para la tabla `tela`
--

INSERT INTO `tela` (`id`, `item`, `cantidad`, `descripcion`, `ancho_id`, `umedida_id`, `sucursal_id`, `calidad_id`, `user_id`, `costo_unitario`, `status`, `created_at`, `updated_at`) VALUES
(2, 'DE1520', 15, 'Tela de algodón color Blanco', 1, 2, 1, 2, 5, 14, 2, '2021-11-28 07:31:18', '2021-11-28 07:34:17'),
(3, 'TA1234', 15, 'Tela de Nylon Color Negro', 2, 1, 1, 1, 5, 10, 1, '2021-11-28 07:35:51', '2021-11-28 07:35:51'),
(4, 'HA2520', 50, 'Tela de Nylon color Purpura', 2, 2, 3, 1, 5, 20, 1, '2021-11-28 07:44:39', '2021-11-28 07:45:32'),
(5, 'WA2334', 100, 'Tela Dacrón Blanco', 3, 2, 1, 1, 5, 9, 2, '2021-11-28 07:47:40', '2021-11-28 08:14:29'),
(6, 'DE1520dwewe', 10, 'Tela de algodón color Bla', NULL, 2, 1, 2, 5, 14, 1, NULL, NULL);

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `umedida`
--

CREATE TABLE `umedida` (
  `id` int(10) UNSIGNED NOT NULL,
  `medida` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Volcado de datos para la tabla `umedida`
--

INSERT INTO `umedida` (`id`, `medida`, `created_at`, `updated_at`) VALUES
(1, 'LB', NULL, NULL),
(2, 'YD', NULL, NULL);

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `users`
--

CREATE TABLE `users` (
  `id` int(10) UNSIGNED NOT NULL,
  `name` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `email` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `roll_id` int(10) UNSIGNED DEFAULT NULL,
  `password` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `remember_token` varchar(100) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

--
-- Volcado de datos para la tabla `users`
--

INSERT INTO `users` (`id`, `name`, `email`, `roll_id`, `password`, `remember_token`, `created_at`, `updated_at`) VALUES
(2, 'usuario1', 'usuario1@gmail.com', 1, '$2y$10$E2W69MDWhO1cNoYIwnv9DOtnxqQoZuRrF97SakCWka6VGKuS9g/j.', NULL, '2021-10-25 08:23:04', '2021-11-28 08:09:33'),
(4, 'David', 'david@gmail.com', 1, '$2y$10$7NYZgrlgYWFKsuHH0KgwlOFxIgVjDpq5FtFMCvQfhW/3qG60mxKv6', 'bv0DqWYvd2Usr3Rw3EUGLTfbe3SnpVCxv9w9lZ5lv8QLhZg2ypLo5zjlkFfj', '2021-11-18 10:03:32', '2021-11-18 10:03:32'),
(5, 'Henry', 'henry@gmail.com', 1, '123', 'QyQPUTDe8CGB2d6Vljbj48I2XbjpJNa6nsZqfw4hFhJlSsObqrh5W3nmiqj9', '2021-11-21 06:25:27', '2021-11-28 05:43:09'),
(10, 'usuario', 'usuario@gmail.com', 2, '$2y$10$/WxBCeIq2crVtcjwNrnufOo2zwJ6swdF/xgeCx9dh9Mzbn7hTdsvW', 'gdBQXjyCUlriVleTKL1CN3OrK6Iwp16BKaiOAQScDQzU8xRAwi5tzzvKRsQ0', '2021-11-28 08:12:37', '2021-11-28 08:15:42'),
(11, 'Administrador', 'admin@gmail.com', 1, '$2y$10$GsApiBbrBGilx/aRWHxgQOua6DD3wsUk8YsHPFs7GboZtiLYhGCBO', 'kjgdt7TiCHUnaPCvHdLUt6K77iFFdHlh1QRpORkxsOrHdH4dGiVjfQsS3ftN', '2021-11-28 08:19:53', '2021-11-28 08:19:53'),
(14, 'Liliana', 'liliana@gmail.com', 1, '123456', NULL, NULL, NULL);

--
-- Índices para tablas volcadas
--

--
-- Indices de la tabla `ancho`
--
ALTER TABLE `ancho`
  ADD PRIMARY KEY (`id`);

--
-- Indices de la tabla `calidad`
--
ALTER TABLE `calidad`
  ADD PRIMARY KEY (`id`);

--
-- Indices de la tabla `roll`
--
ALTER TABLE `roll`
  ADD PRIMARY KEY (`id`);

--
-- Indices de la tabla `sucursal`
--
ALTER TABLE `sucursal`
  ADD PRIMARY KEY (`id`);

--
-- Indices de la tabla `tela`
--
ALTER TABLE `tela`
  ADD PRIMARY KEY (`id`),
  ADD KEY `tela3_ancho_id_foreign` (`ancho_id`),
  ADD KEY `tela3_umedida_id_foreign` (`umedida_id`),
  ADD KEY `tela3_sucursal_id_foreign` (`sucursal_id`),
  ADD KEY `tela3_calidad_id_foreign` (`calidad_id`),
  ADD KEY `tela3_user_id_foreign` (`user_id`);

--
-- Indices de la tabla `umedida`
--
ALTER TABLE `umedida`
  ADD PRIMARY KEY (`id`);

--
-- Indices de la tabla `users`
--
ALTER TABLE `users`
  ADD PRIMARY KEY (`id`),
  ADD UNIQUE KEY `users_email_unique` (`email`),
  ADD KEY `users_roll_id_foreign` (`roll_id`);

--
-- AUTO_INCREMENT de las tablas volcadas
--

--
-- AUTO_INCREMENT de la tabla `ancho`
--
ALTER TABLE `ancho`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=4;

--
-- AUTO_INCREMENT de la tabla `calidad`
--
ALTER TABLE `calidad`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=5;

--
-- AUTO_INCREMENT de la tabla `roll`
--
ALTER TABLE `roll`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=3;

--
-- AUTO_INCREMENT de la tabla `sucursal`
--
ALTER TABLE `sucursal`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=4;

--
-- AUTO_INCREMENT de la tabla `tela`
--
ALTER TABLE `tela`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=8;

--
-- AUTO_INCREMENT de la tabla `umedida`
--
ALTER TABLE `umedida`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=3;

--
-- AUTO_INCREMENT de la tabla `users`
--
ALTER TABLE `users`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=15;

--
-- Restricciones para tablas volcadas
--

--
-- Filtros para la tabla `tela`
--
ALTER TABLE `tela`
  ADD CONSTRAINT `tela3_ancho_id_foreign` FOREIGN KEY (`ancho_id`) REFERENCES `ancho` (`id`),
  ADD CONSTRAINT `tela3_calidad_id_foreign` FOREIGN KEY (`calidad_id`) REFERENCES `calidad` (`id`),
  ADD CONSTRAINT `tela3_sucursal_id_foreign` FOREIGN KEY (`sucursal_id`) REFERENCES `sucursal` (`id`),
  ADD CONSTRAINT `tela3_umedida_id_foreign` FOREIGN KEY (`umedida_id`) REFERENCES `umedida` (`id`),
  ADD CONSTRAINT `tela3_user_id_foreign` FOREIGN KEY (`user_id`) REFERENCES `users` (`id`);

--
-- Filtros para la tabla `users`
--
ALTER TABLE `users`
  ADD CONSTRAINT `users_roll_id_foreign` FOREIGN KEY (`roll_id`) REFERENCES `roll` (`id`);
COMMIT;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
