import CalidadRoutes from '@/views/calidad/router/index.js'
import sucursalRoutes from '@/views/sucursal/router/index.js'
import telaRoutes from '@/views/telas/router/index.js'
import Vue from 'vue'
import VueRouter from 'vue-router'
import userRoutes from '../views/users/router/index.js'


Vue.use(VueRouter)

const routes = [
  {
    path: '/',
    name: 'home',
    component: ()=> import("../views/HomeView.vue")
  },

  ...userRoutes,
  ...CalidadRoutes,
  ...sucursalRoutes,  
  ...telaRoutes,
]

const router = new VueRouter({
  mode: 'history',
  base: process.env.BASE_URL,
  routes
})

export default router
