
import express from "express"
//import morgan from "morgan"
import { anchoController } from './controller.js';



const router = express.Router();

const apiMedida = (app) => {
    
    router.get("/:id", anchoController.getAnchoById);
    router.get("/", anchoController.getAncho);
    router.post("/", anchoController.postAncho);
    router.delete("/:id", anchoController.deleteAncho);
    router.put("/:id", anchoController.putAncho);

    app.use("/api/medida", router);
};


export { apiMedida };