
import express from "express"
//import morgan from "morgan"
import { sucursalController } from './controller.js';



const router = express.Router();

const apiSucursal = (app) => {
    
    router.get("/:id", sucursalController.getSucursalById);
    router.get("/", sucursalController.getSucursal);
    router.post("/", sucursalController.postSucursal);
    router.delete("/:id", sucursalController.deleteSucursal);
    router.put("/:id", sucursalController.putSucursal);

    app.use("/api/sucursal", router);
};


export { apiSucursal };