
import express from "express"
//import morgan from "morgan"
import { telaController } from './controller.js';



const router = express.Router();

const apiTela = (app) => {
    
    router.get("/:id", telaController.getTelaById);
    router.get("/", telaController.getTela);
    router.post("/", telaController.postTela);
    router.delete("/:id", telaController.deleteTela);
    router.put("/:id", telaController.putTela);
    router.get("/bl/:id", telaController.getTelaByLocation);
    app.use("/api/tela", router);
};


export { apiTela };