
import express from "express"
//import morgan from "morgan"
import { userController } from './controller.js';



const router = express.Router();

const apiUser = (app) => {
    
    router.get("/:id", userController.getDatosById);
    router.get("/", userController.getDatos);
    router.post("/", userController.postDatos);
    router.delete("/:id", userController.deleteDatos);
    router.put("/:id", userController.putDatos);

    app.use("/api/user", router);
};


export { apiUser };