
import express from "express"
//import morgan from "morgan"
import { userController } from './controller.js';



const router = express.Router();

const apiUser = (app) => {
    
    router.get("/:id", userController.getUserById);
    router.get("/", userController.getUser);
    router.post("/", userController.postUser);
    router.delete("/:id", userController.deleteUser);
    router.put("/:id", userController.putUser);

    app.use("/api/user", router);
};


export { apiUser };