import Vue from 'vue'
import Vuex from 'vuex'
import axios from 'axios'

Vue.use(Vuex)

export default new Vuex.Store({
  state: {
    posts: [],
    calidades: [],
    sucursales: [],
    telas: [],
  },
  getters: {
  },
  mutations: {
    getAllPost(state,payload){
    state.posts = [...payload];
    },
    getAllCalidad(state,payload){
      state.calidades = [...payload];
      },
    getAllSucursal(state,payload){
      state.sucursales = [...payload];
      },
    getAllTela(state,payload){
       state.telas = [...payload];
       }
  },
  actions: {
    async getAllPost(context) {
      const res = await axios.get("http://127.0.0.1:3000/api/user/");
      console.log(res);
      context.commit("getAllPost", res.data.data);
    },
    async getAllCalidad(context) {
      const res = await axios.get("http://127.0.0.1:3000/api/calidad/");
      console.log(res.data.data);
      context.commit("getAllCalidad", res.data.data);
    }
    ,
    async getAllSucursal(context) {
      const res = await axios.get("http://127.0.0.1:3000/api/sucursal/");
      console.log(res.data.data);
      context.commit("getAllSucursal", res.data.data);
    },
    async getAllTela(context) {
      const res = await axios.get("http://127.0.0.1:3000/api/tela/");
      console.log(res.data.data);
      context.commit("getAllTela", res.data.data);
    }
  },
})